/***********************************************************************
**                                                                    **
**  listing_7_2.c                                                     **
**                                                                    **
**  Pushbutton and Bulletin Board. This program demonstrates the      **
**  appearance and interaction of XmPushButton.                       **
**                                                                    **
***********************************************************************/


#include <Xm/BulletinB.h>
#include <Xm/PushB.h>


Widget	appshell,			/* Application Shell	      */
	the_bb,				/* A Bulletin Board (border)  */
	the_btn;			/* The PushButton	      */


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_7_02", NULL, 0, &argc, argv );

    the_bb = XmCreateBulletinBoard( appshell, "TheBB", NULL, 0 );
    XtManageChild( the_bb );

    the_btn = XmCreatePushButton( the_bb, "TheBtn", NULL, 0 );
    XtManageChild( the_btn );

    XtRealizeWidget( appshell );
    XtMainLoop();
}
